PHP Manual
Prev |  | Next

# HttpMessage::fromEnv

(no version information, might be only in CVS)

HttpMessage::fromEnv -- Create HttpMessage from environment

## Description

static publicHttpMessage HttpMessage::fromEnv ( int message_type [, string class_name = 'HttpMessage'] )

Create an HttpMessage object from script environment.

## Parameters

`message_type`

  The message type. See HttpMessage type constants.

`class_name`

  a class extending HttpMessage

## Return Values

Returns an HttpMessage object on success or NULL on failure.

## See Also

HttpMessage::factory().

Prev | Home | Next
HttpMessage::factory | Up | HttpMessage::fromString